Subject: Re: [tram] I-D Action: draft-ietf-tram-turn-server-discovery-04.txt

From: Marc Petit-Huguenin <[email-masked]>
Date: Wed, 26 Aug 2015 03:56:47 -0600

I think that retrieving a TURN server IP address from a DHT (i.e. using RFC 6940 section 9) should be added to the list of mechanisms.  I can send text.

Thanks.

On 07/20/2015 12:07 PM, [email-masked] wrote:
> 
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
>  This draft is a work item of the TURN Revised and Modernized Working Group of the IETF.
> 
>         Title           : TURN Server Auto Discovery
>         Authors         : Prashanth Patil
>                           Tirumaleswar Reddy
>                           Dan Wing
> 	Filename        : draft-ietf-tram-turn-server-discovery-04.txt
> 	Pages           : 14
> 	Date            : 2015-07-20
> 
> Abstract:
>    Current Traversal Using Relays around NAT (TURN) server discovery
>    mechanisms are relatively static and limited to explicit
>    configuration.  These are usually under the administrative control of
>    the application or TURN service provider, and not the enterprise,
>    ISP, or the network in which the client is located.  Enterprises and
>    ISPs wishing to provide their own TURN servers need auto discovery
>    mechanisms that a TURN client could use with no or minimal
>    configuration.  This document describes three such mechanisms for
>    TURN server discovery.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-tram-turn-server-discovery/
> 
> There's also a htmlized version available at:
> https://tools.ietf.org/html/draft-ietf-tram-turn-server-discovery-04
> 
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-ietf-tram-turn-server-discovery-04
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> _______________________________________________
> tram mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tram
> 

- -- 
Marc Petit-Huguenin
Email: [email-masked]
Blog: http://blog.marc.petit-huguenin.org
Profile: http://www.linkedin.com/in/petithug